ODA_WORK-REQUEST-ERROR(1)

NAME
oda_work-request-error -

DESCRIPTION

Description of the unexpected error that prevented completion of the request.

AVAILABLE COMMANDS

•   list

  list

  Description

Returns a page of errors for the specified work request.

If the opc-next-page header appears in the response, then there are more items to retrieve. To get the next page in the subsequent GET request, include the header's value as the page query parameter.

  Usage

oci oda work-request-error list [OPTIONS]

  Required Parameters

--work-request-id [text]

    The identifier of the asynchronous work request.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return per page.

--page [text]

    The page at which to start retrieving results.

    You get this value from the opc-next-page header in a previous list request. To retireve the first page, omit this query parameter.

    Example:

    MToxMA==

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field to sort by. You can specify only one sort order. If no value is specified, then the default is TIMESTAMP.

    The default sort order for both TIMESTAMP and CODE is ascending.

    Accepted values are:

    CODE, TIMESTAMP

--sort-order [text]

    Sort the results in this order, use either ASC (ascending) or DESC (descending).

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle